#pragma once
#include "unit.h"



class Points : public Unit
{

  public:

    std::string               m_Points;

    int                       m_YSpeed;

    GR::f32                   m_XPos;



    Points();


    virtual void              Display( const GR::tPoint& ptOffset, XRenderer& Renderer );
    virtual void              Update( Level& Level, const GR::f32 fElapsedTime );

    virtual void              ProcessEvent( Level& Level, const eUnitEvent& Event );

};
